package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFIQ7Data {

    private Map<String, Object> params;
    
    public MWFIQ7Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsProdInstKey() {
        return (String) params.get("RS_PROD_INST_KEY");
    }

    public String rsAccNum() {
        return (String) params.get("RS_ACC_NUM");
    }

    public String rsInsurId() {
        return (String) params.get("RS_INSUR_ID");
    }

    public java.util.Date rsStartDate() {
        return (java.util.Date) params.get("RS_START_DATE");
    }

    public java.util.Date rsEndDate() {
        return (java.util.Date) params.get("RS_END_DATE");
    }

    public Double rsFeeAmt() {
        return (Double) params.get("RS_FEE_AMT");
    }

    public java.util.Date rsCancelDate() {
        return (java.util.Date) params.get("RS_CANCEL_DATE");
    }

    public String rsCancelRsnTpId() {
        return (String) params.get("RS_CANCEL_RSN_TP_ID");
    } 

}
